package cn.ibizlab.core.sample.mapping;

import cn.ibizlab.core.sample.domain.IBIZOrder;
import org.mapstruct.*;
import java.util.List;

@Mapper(componentModel = "spring", uses = {})
public interface IBIZOrderImport {
    @Mappings({
        @Mapping(target = "ibizorderid", source = "ibizorderid"),
        @Mapping(target = "ibizordername", source = "ibizordername"),
        @Mapping(target = "ordertype", source = "ordertype"),
        @Mapping(target = "ordertime", source = "ordertime"),
        @Mapping(target = "orderuid", source = "orderuid"),
    })
    @BeanMapping(ignoreByDefault = true)
    IBIZOrder toDomain(IBIZOrder entity);

    List<IBIZOrder> toDomain(List<IBIZOrder> entities);
}




